### Method

# Gio Socket get_multicast_loopback

since: 2.32

#### Declaration

    gboolean
    g_socket_get_multicast_loopback (
      GSocket* socket
    )

#### Description

Gets the multicast loopback setting on `socket`; if `TRUE` (the default), outgoing multicast packets will be looped back to multicast listeners on the same host.

Available since: 2.32

Gets property | `Gio.Socket:multicast-loopback`

#### Return value

Type: `gboolean`

The multicast loopback setting on `socket`.